{% extends "dashboard/dashboard_content.html" %}

{% block head_block %}
    {% load static %}
    <script src="{% static 'accounts/vendors/jquery.inputmask/dist/min/jquery.inputmask.bundle.min.js' %}"></script>
{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                GCT WiFi Registartion Form
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <form action="" method="post" class="form-horizontal" id="wifi_form">{% csrf_token %}

                        {% for field in form %}
                            <div class="form-group {% if field.errors %} has-error{% endif %}">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label"
                                       id={{ field.id_for_label }}>{{ field.label }}</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    {{ field }}

                                    {% for error in field.errors %}
                                        <span class="help-block">
                                            {{ error|escape }}
                                        </span>
                                    {% endfor %}
                                </div>
                            </div>
                        {% endfor %}

                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-5">
                            <button type="submit" class="btn brn-lg btn-success"
                                    value="Save" name="apply_wifi">Apply WiFi
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $('document').ready(function () {
            $.ajax({
                url: '{% url 'get_student_user_name' %}',
                type: 'POST',
                data: {
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                },
                success: function (data)//we got the response
                {
                    //alert('success');
                    //alert(data['list']);
                    if (data['username'] != 'none') {
                        //alert(data['username']);
                        $('input[id="id_username"]').val(data['username']);
                        $('input[id="id_username"]').attr('disabled', 'true');
                        var $hiddenInput = $('<input/>', {type: 'hidden', value: data['username'], name: 'username'});
                        $hiddenInput.appendTo('form');
                        {% if request.session.sync %}

                            $('input[id="id_password"]').val(data['username']);
                            var $hiddenInput = $('<input/>', {
                                type: 'hidden',
                                value: data['username'],
                                name: 'password'
                            });
                            $hiddenInput.appendTo('form');
                            $('input[id="id_password"]').attr('disabled', 'true');

                        {% endif %}
                    }
                },
                error: function (exception) {
                    alert('Exeption:' + exception);
                }
            });
        });
    </script>


    <script type="text/javascript">
        $('document').ready(function () {
            {% if request.session.sync %}
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: $('input[id="id_mac_id"]').val(),
                    name: 'mac_id'
                });
                $hiddenInput.appendTo('form');
                $('input[id="id_mac_id"]').attr('disabled', 'true');

            {% endif %}
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function () {
            $(":input").inputmask();
        });
    </script>
{% endblock %}

